Data Fields

# LoggedChange Struct Reference

Contains information about one logged change. More...

`#include <gamelog_internal.h>`

## Data Fields
GamelogChangeType | ct
| Type of change logged in this struct.
union {
struct {
byte mode
| new game mode - Editor x Game
byte landscape
| landscape (temperate, arctic, ...)
} mode
struct {
char text [NETWORK_REVISION_LENGTH]
| revision string, _openttd_revision
uint32 newgrf
| _openttd_newgrf_version
uint16 slver
| _sl_version
byte modified
| _openttd_revision_modified
} revision
struct {
uint32 type
| type of savegame,
uint32 version
| major and minor version OR ttdp version
} oldver
GRFIdentifier grfadd
| ID and md5sum of added GRF.
struct {
uint32 grfid
| ID of removed GRF.
} grfrem
GRFIdentifier grfcompat
| ID and new md5sum of changed GRF.
struct {
uint32 grfid
| ID of GRF with changed parameters.
} grfparam
struct {
uint32 grfid
| ID of moved GRF.
int32 offset
| offset, positive = move down
} grfmove
struct {
char * name
| name of the setting
int32 oldval
| old value
int32 newval
| new value
} setting
struct {
uint64 data
| additional data
uint32 grfid
| ID of problematic GRF.
byte bug
| type of bug,
} grfbug
}; |

## Detailed Description

Contains information about one logged change.

Definition at line 37 of file gamelog_internal.h.

## Field Documentation

byte LoggedChange::bug

type of bug,

See also:
  enum GRFBugs

Definition at line 74 of file gamelog_internal.h.

uint32 LoggedChange::grfid

ID of removed GRF.

ID of problematic GRF.

ID of moved GRF.

ID of GRF with changed parameters.

Definition at line 56 of file gamelog_internal.h.

uint32 LoggedChange::type

type of savegame,

See also:
  SavegameType

Definition at line 51 of file gamelog_internal.h.

The documentation for this struct was generated from the following file:

- src/gamelog_internal.h